Package org.eclipse.emf.spi.cdo

# Class InternalCDOView.ViewInvalidationData

java.lang.Object
org.eclipse.emf.spi.cdo.InternalCDOView.ViewInvalidationData

Enclosing interface:
  InternalCDOView

public static final class InternalCDOView.ViewInvalidationData extends Object
A data structure that holds all input values of `InternalCDOView#invalidate()`.

Since:
  4.6
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`ViewInvalidationData()`

## Method Summary

Modifier and Type
Method
Description
`List<CDORevisionKey>`
`getAllChangedObjects()`
`List<CDOIDAndVersion>`
`getAllDetachedObjects()`
`CDOBranch`
`getBranch()`
`long`
`getLastUpdateTime()`
`CDOLockChangeInfo`
`getLockChangeInfo()`
`Map<CDORevision,CDOPermission>`
`getOldPermissions()`
`Map<CDOID,InternalCDORevision>`
`getOldRevisions()`
`byte`
`getSecurityImpact()`
`boolean`
`isAsync()`
`boolean`
`isClearResourcePathCache()`
`void`
`setAllChangedObjects(List<CDORevisionKey> allChangedObjects)`
`void`
`setAllDetachedObjects(List<CDOIDAndVersion> allDetachedObjects)`
`void`
`setAsync(boolean async)`
`void`
`setBranch(CDOBranch branch)`
`void`
`setClearResourcePathCache(boolean clearResourcePathCache)`
`void`
`setLastUpdateTime(long lastUpdateTime)`
`void`
`setLockChangeInfo(CDOLockChangeInfo lockChangeInfo)`
`void`
`setOldPermissions(Map<CDORevision,CDOPermission> oldPermissions)`
`void`
`setOldRevisions(Map<CDOID,InternalCDORevision> oldRevisions)`
`void`
`setSecurityImpact(byte securityImpact)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ViewInvalidationData

public ViewInvalidationData()

## Method Details

### getBranch

public CDOBranch getBranch()

### setBranch

public void setBranch(CDOBranch branch)

### getLastUpdateTime

public long getLastUpdateTime()

### setLastUpdateTime

public void setLastUpdateTime(long lastUpdateTime)

### getAllChangedObjects

public List<CDORevisionKey> getAllChangedObjects()

### setAllChangedObjects

public void setAllChangedObjects(List<CDORevisionKey> allChangedObjects)

### getAllDetachedObjects

public List<CDOIDAndVersion> getAllDetachedObjects()

### setAllDetachedObjects

public void setAllDetachedObjects(List<CDOIDAndVersion> allDetachedObjects)

### getOldRevisions

public Map<CDOID,InternalCDORevision> getOldRevisions()

### setOldRevisions

public void setOldRevisions(Map<CDOID,InternalCDORevision> oldRevisions)

### isAsync

public boolean isAsync()

### setAsync

public void setAsync(boolean async)

### isClearResourcePathCache

public boolean isClearResourcePathCache()

### setClearResourcePathCache

public void setClearResourcePathCache(boolean clearResourcePathCache)

### getLockChangeInfo

public CDOLockChangeInfo getLockChangeInfo()

### setLockChangeInfo

public void setLockChangeInfo(CDOLockChangeInfo lockChangeInfo)

### getSecurityImpact

public byte getSecurityImpact()

Since:
  4.9

### setSecurityImpact

public void setSecurityImpact(byte securityImpact)

Since:
  4.9

### getOldPermissions

public Map<CDORevision,CDOPermission> getOldPermissions()

Since:
  4.22

### setOldPermissions

public void setOldPermissions(Map<CDORevision,CDOPermission> oldPermissions)

Since:
  4.22

### toString

public String toString()

Overrides:
  `toString` in class `Object`